<template>
  <span :class="['highlighted', `highlighted--${designType}`]">
    <slot></slot>
  </span>
</template>
<script>
export default {
  name: 'HighlightedText',
  props: {
    bold: {
      type: Boolean,
      default: true
    },
    designType: {
      type: String,
      default: 'PlanetLearn'
    },
  }
};
</script>

<style lang="scss">
.highlighted{
  font-weight: 800;
  &--SmartStudy{
    color: #66EDFF;
  }
  &--PlanetLearn{
    color: #FF8D24;
  }
}
</style>